package PublishButtonChanger::CMS;

use strict;

sub confirm {
    my ($cb, $app, $tmpl) = @_;

    my $old = <<HERE;
        <button
            mt:mode="save_entry"
            name="status"
            type="submit"
            title="<mt:var name="button_title">"
            class="publish action primary-button"
            value="2"
            ><mt:var name="button_text"></button>
HERE
    $old = quotemeta($old);

    my $plugin = MT->component("PublishButtonChanger");
    my $scope = "blog:" . $app->blog->id;
    my $publish_attention_button = $plugin->get_config_value('publish_attention_button', $scope);
    my $publish_attention = '';
    if ($publish_attention_button) {
        $publish_attention = 'attention-button';
    }

    my $new = <<HERE;
<mt:if name="button_text" eq="<__trans phrase="Publish">">
        <button
            mt:mode="save_entry"
            name="status"
            type="submit"
            title="<mt:var name="button_title">"
            class="publish action $publish_attention"
            value="2"
            ><mt:var name="button_text"></button>
<mt:else>
        <button
            mt:mode="save_entry"
            name="status"
            type="submit"
            title="<mt:var name="button_title">"
            class="publish action  primary-button"
            value="2"
            ><mt:var name="button_text"></button>
</mt:if>
HERE
    $$tmpl =~ s/$old/$new/;

    $old = <<HERE;
        <button
            mt:mode="save_entry"
            type="submit"
            title="<mt:var name="draft_button_title">"
            class="save draft action"
            value="1"
            ><mt:var name="draft_button_text"></button>
HERE
    $old = quotemeta($old);

    my $unpublish_attention_button = $plugin->get_config_value('unpublish_attention_button', $scope);
    my $unpublish_attention = '';
    if ($unpublish_attention_button) {
        $unpublish_attention = 'attention-button';
    }

    my $new = <<HERE;
<mt:if name="draft_button_text" eq="<__trans phrase="Save Draft">">
        <button
            mt:mode="save_entry"
            type="submit"
            title="<mt:var name="draft_button_title">"
            class="save draft action primary-button"
            value="1"
            ><mt:var name="draft_button_text"></button>
<mt:else>
        <button
            mt:mode="save_entry"
            type="submit"
            title="<mt:var name="draft_button_title">"
            class="save draft action $unpublish_attention"
            value="1"
            ><mt:var name="draft_button_text"></button>
</mt:if>
HERE
    $$tmpl =~ s/$old/$new/;

    $old = <<HERE;
<mt:include name="include/header.tmpl" id="header_include">
HERE
    $old = quotemeta($old);

    $new = <<HERE;
<mt:include name="include/header.tmpl" id="header_include">
<style type="text/css">
button.attention-button {
    background-image: url("<mt:StaticWebPath>plugins/PublishButtonChanger/images/button-attention.gif");
}
</style>
HERE

    $$tmpl =~ s/$old/$new/;

    $old = <<HERE;
    jQuery('button.publish').click(function(event) {
        jQuery('form#entry_form > input[name=status]').val(2);
    });
    jQuery('button.draft').click(function(event) {
        jQuery('form#entry_form > input[name=status]').val(1);
    });
HERE
    $old = quotemeta($old);

    my $plugin = MT->component("PublishButtonChanger");
    my $scope = "blog:" . $app->blog->id;
    my $publish_message = $plugin->get_config_value('publish_message', $scope);
    my $update_message = $plugin->get_config_value('update_message', $scope);
    my $draft_message = $plugin->get_config_value('draft_message', $scope);

    $new = <<HERE;
    jQuery('button.publish').click(function(event) {
        jQuery('form#entry_form > input[name=status]').val(2);
        if (jQuery('button.publish').attr('title') != '<__trans phrase="Save this [_1]" params="<mt:var name="object_label">">') {
            if (window.confirm('<mt:if name="status" eq="1">$publish_message<mt:elseif name="status" eq="2">$update_message<mt:else>$publish_message</mt:if>')) {
                document.entry_form.submit();
            } else {
                return false;
            }
        }
    });
    jQuery('button.draft').click(function(event) {
        jQuery('form#entry_form > input[name=status]').val(1);
<mt:if name="status" eq="2">
        if (window.confirm('$draft_message')) {
            document.entry_form.submit();
        } else {
            return false;
        }
</mt:if>
    });
HERE

    $$tmpl =~ s/$old/$new/;

    $old = <<HERE;
    jQuery('input#scheduled').click(function() {
        if (this.checked) {
            jQuery('button.publish').text('<mt:var name="scheduled_button_text">');
            jQuery('button.publish').attr('title', '<mt:var name="scheduled_button_title">');
            jQuery('button.draft').hide();
        } else {
            jQuery('button.publish').text('<mt:var name="button_text">');
            jQuery('button.publish').attr('title', '<mt:var name="button_title">');
            jQuery('button.draft').show();
        }
    });
    if (jQuery('input#scheduled:checked').length) {
        jQuery('button.publish').text('<mt:var name="scheduled_button_text">');
        jQuery('button.publish').attr('title', '<mt:var name="scheduled_button_title">');
        jQuery('button.draft').hide();
    }
HERE
    $old = quotemeta($old);

    $new = <<HERE;
    jQuery('input#scheduled').click(function() {
        if (this.checked) {
            jQuery('button.publish').text('<mt:var name="scheduled_button_text">');
            jQuery('button.publish').attr('title', '<mt:var name="scheduled_button_title">');
            jQuery('button.publish').attr('class', 'publish action primary-button');
            jQuery('button.draft').hide();
        } else {
            jQuery('button.publish').text('<mt:var name="button_text">');
            jQuery('button.publish').attr('title', '<mt:var name="button_title">');
            jQuery('button.publish').attr('class', 'publish action');
            jQuery('button.draft').show();
        }
    });
    if (jQuery('input#scheduled:checked').length) {
        jQuery('button.publish').text('<mt:var name="scheduled_button_text">');
        jQuery('button.publish').attr('title', '<mt:var name="scheduled_button_title">');
        jQuery('button.draft').hide();
        jQuery('button.publish').attr('class', 'publish action primary-button');
    }
HERE

    $$tmpl =~ s/$old/$new/;

}

1;
